
#include <Xtreme/XRenderer.h>

#include ".\BirdiesRevenge.h"
#include ".\Collectible.h"
#include ".\Level.h"



Collectible::Collectible()
{
  m_Type = Birdie2::UT_COLLECTIBLE;

  m_MovementBounds.set( 0, 0, 40, 40 );
  m_CollisionBounds.set( 5, 5, 30, 30 );

  m_Floating = true;

  m_dwValue   = 100;
  m_Item = Birdie2::IT_GUN;
}



void Collectible::Update( Level& Level, const GR::f32 fElapsedTime )
{
  Unit::Update( Level, fElapsedTime );
}



void Collectible::ProcessEvent( Level& Level, const eUnitEvent& Event )
{
  /*
  switch ( Event )
  {
  }
  */
  Unit::ProcessEvent( Level, Event );
}



void Collectible::OnLoad( Level& Level )
{
  Unit::OnLoad( Level );

  /*
  switch ( m_dwExtraData )
  {
    case 0:
      m_strImage  = "Item.Gun";
      m_Item = Birdie2::IT_GUN;
      break;
    case 1:
      m_strImage  = "Item.Uzi";
      m_Item = Birdie2::IT_UZI;
      break;
  }*/
}